Hybrid AD join - Functional Levels?

Contributor

Hi all,

 

For Hybrid AD join to be configured, what forest \ domain functional levels are required? The offical docs just say "The minimum required domain controller version for Windows 10 or newer hybrid Azure AD join is Windows Server 2008 R2.",  - Source https://docs.microsoft.com/en-us/azure/active-directory/devices/hybrid-azuread-join-plan#prerequisit...

 

Our DC's OS is 2012 R2, but FFL \ DFL are at 2003 (I know that 2003 isn't supported, please don't shot me).

 

But could this be clarified if this means functional levels or OS levels of our DC's?

 

Thanks.

2 Replies
Bump, could anyone confirm?
I guess you need to upgrade windows 2003 to minimum 2008 As it is not supported https://learn.microsoft.com/en-us/windows-server/identity/ad-ds/plan/deploying-ad-ds-in-a-windows-se...
this article was posted on 2021